std::is_error_code_enum< future_errc > Struct Reference
Concurrency » Futures

`#include <future>`

Inheritance diagram for std::is_error_code_enum< future_errc >:
[legend]

## Public Types

typedef integral_constant< bool, __v > | type
typedef bool | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr bool | value

## Detailed Description

Specialization.

Definition at line 75 of file future.

## Member Typedef Documentation

## type

typedef integral_constant<bool, __v> std::integral_constant< bool, __v >::type

Definition at line 69 of file type_traits.

## value_type

typedef bool std::integral_constant< bool, __v >::value_type

Definition at line 68 of file type_traits.

## Member Function Documentation

## operator value_type()

std::integral_constant< bool, __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept

Definition at line 70 of file type_traits.

## operator()()

value_type std::integral_constant< bool, __v >::operator() | ( |  | ) | const

inline constexpr noexcept

Definition at line 75 of file type_traits.

## Member Data Documentation

## value

bool std::integral_constant< bool, __v >::value

static constexpr

Definition at line 67 of file type_traits.

The documentation for this struct was generated from the following file:

- future